<h2 mat-dialog-title> {{ (data?.data?.task ? 'Edit TAsk' : ' Add Task') }}</h2>
<mat-dialog-content>
  <form [formGroup]="taskForm">
    <!-- id -->
    <mat-form-field >
      <input matInput placeholder="id" formControlName="id">
    </mat-form-field>
    <!-- name -->
    <mat-form-field>
      <input matInput placeholder="name" formControlName="name">
    </mat-form-field>
  </form>
</mat-dialog-content>
<mat-dialog-actions>
  <button mat-raised-button mat-dialog-close>Annuler</button>
  <button mat-raised-button [mat-dialog-close]="true" (click)='editTask()'>Valider</button>
</mat-dialog-actions>